package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对应数据库表(subject):
 */
public class Subject {

	/**  */
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "科目名称",required = false)
	private String name;
	
	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private String code;
	
	/**  */
	@ApiModelProperty(value = "父级编号",required = false)
	private Integer parentSubjectId;
	
	@ApiModelProperty(value = "图片地址",required = false)
	private String img;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	@ApiModelProperty(value = "是否删除1是，0否",required = false)
	private YesOrNoEnum delFlag;

	/**  */
	@ApiModelProperty(value = "课程费用",required = false)
	private BigDecimal fee;

	/**  */
	@ApiModelProperty(value = "对内1对外2",required = false)
	private Integer tenantId = 1;

	/**  */
	@ApiModelProperty(value = "子节点列表",required = false)
	private List<Subject> subjects;

	public Integer getTenantId() {
		return tenantId;
	}

	public void setTenantId(Integer tenantId) {
		this.tenantId = tenantId;
	}

	public List<Subject> getSubjects() {
		return subjects;
	}

	public BigDecimal getFee() {
		return fee;
	}

	public void setFee(BigDecimal fee) {
		this.fee = fee;
	}

	public void setSubjects(List<Subject> subjects) {
		this.subjects = subjects;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCode(String code){
		this.code = code;
	}
	
	public String getCode(){
		return this.code;
	}
			
	public void setParentSubjectId(Integer parentSubjectId){
		this.parentSubjectId = parentSubjectId;
	}
	
	public Integer getParentSubjectId(){
		return this.parentSubjectId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
